Ask is moving to Stack Overflow and! Please use the "opendaylight" tag on either of these sites. This site is now in Read-Only mode


How can I develop application under the stable-released version?

asked 2015-11-17 18:48:39 -0700

suesskartoffel gravatar image

updated 2015-11-17 22:03:26 -0700

I'm going to create opendaylight application, so I read Environemnt Setup Guide.

And then created application.
But there were some issues from its version in places.

So I want to create applications based on stable platform, but I don't know how I can select it very much.
'SR' means Lithium-SR2 release: .

Should I change .m2/settings.xml, pom.xml or something?

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted

answered 2015-11-23 06:12:12 -0700

Vishal Thapar gravatar image

When writing your application you will be adding dependencies to ODL modules, like say, controller, openflowplugn etc. You need to use the appropriate version in pom file of your application. It will be something like x.y.z-Lithium-SR2. You will have to hunt/figure out versions for each of the bundles you use, but shouldn't be too difficult.

I would recommend using the startup archetype to make this work easier on you. It will create initial bundles and poms with mostly correct versions.

edit flag offensive delete publish link more


Thank you, I'll check it.

suesskartoffel ( 2015-11-23 20:11:48 -0700 )edit
Login/Signup to Answer

Question Tools

1 follower


Asked: 2015-11-17 18:48:39 -0700

Seen: 36 times

Last updated: Nov 23 '15